import 'package:flutter/material.dart';

enum OrderStatus {
  ALL,
  IN_CART,
  WAITING_FOR_PARTNER,
  ACCEPTED,
  REFUSED,
  PREPARING,
  WAITING_FOR_PILOT,
  PICKING_UP,
  IN_FLIGHT,
  DELIVERED
}

extension OrderStatusDescription on OrderStatus {
  String get label {
    switch (this) {
      case OrderStatus.IN_CART:
        return 'Carrinho';
      case OrderStatus.WAITING_FOR_PARTNER:
        return 'Aguardando';
      case OrderStatus.ACCEPTED:
        return 'Aceito';
      case OrderStatus.REFUSED:
        return 'Recusado';
      case OrderStatus.PREPARING:
        return 'Em preparo';
      case OrderStatus.WAITING_FOR_PILOT:
        return 'Aguardando coleta';
      case OrderStatus.PICKING_UP:
        return 'Em coleta';
      case OrderStatus.IN_FLIGHT:
        return 'Em entrega';
      case OrderStatus.DELIVERED:
        return 'Entregue';
      case OrderStatus.ALL:
        return 'Todos';
      default:
        return 'Desconhecido';
    }
  }

  Color get color {
    switch (this) {
      case OrderStatus.IN_CART:
        return Colors.grey;
      case OrderStatus.WAITING_FOR_PARTNER:
        return Colors.yellow;
      case OrderStatus.ACCEPTED:
        return Colors.grey;
      case OrderStatus.REFUSED:
        return Colors.red;
      case OrderStatus.PREPARING:
        return Colors.orange;
      case OrderStatus.PICKING_UP:
        return Colors.blue;
      case OrderStatus.IN_FLIGHT:
        return Colors.blue;
      case OrderStatus.DELIVERED:
        return Colors.green;
      case OrderStatus.ALL:
        return Colors.grey;
      default:
        return Colors.grey;
    }
  }

  String get value {
    return this.toString().split('.').last;
  }
}
