import 'package:apus_drones_mobile/providers/ActiveBarItemProvider.dart';
import 'package:apus_drones_mobile/providers/AuthProvider.dart';
import 'package:apus_drones_mobile/providers/ProductsToDeliverStateProvider.dart';
import 'package:apus_drones_mobile/screens/CartScreen.dart';
import 'package:apus_drones_mobile/screens/CustomerProfile.dart';
import 'package:apus_drones_mobile/screens/CustomerEditProfileScreen.dart';
import 'package:apus_drones_mobile/screens/HomeScreen.dart';
import 'package:apus_drones_mobile/screens/LoginScreen.dart';
import 'package:apus_drones_mobile/screens/OrdersScreen.dart';
import 'package:apus_drones_mobile/screens/PartnerOrdersScreen.dart';
import 'package:apus_drones_mobile/screens/PartnerProfile.dart';
import 'package:apus_drones_mobile/screens/PaymentScreen.dart';
import 'package:apus_drones_mobile/screens/PilotOrdersWaitingScreen.dart';
import 'package:apus_drones_mobile/screens/PilotTripsScreen.dart';
import 'package:apus_drones_mobile/screens/clients/ListOfPartners.dart';
import 'package:apus_drones_mobile/theme/AppTheme.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'screens/EditProductScreen.dart';
import 'screens/PartnerProductListScreen.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  final productsToDeliverProvider = ProductsToDeliverStateProvider();

  @override
  Widget build(BuildContext context) {
    productsToDeliverProvider.clear();

    return MultiProvider(
      providers: [
        ChangeNotifierProvider(create: (_) => ActiveBarItemProvider()),
        ChangeNotifierProvider(create: (_) => AuthProvider()),
      ],
      child: Consumer<ActiveBarItemProvider>(
        builder: (_, __, ___) {
          return MaterialApp(
            title: 'Flutter Demo',
            theme: AppTheme.getAppThemeData(),
            // home: LoginScreen(),
            home: LoginScreen(),
            routes: {
              HomePage.routeName: (ctx) => HomePage(),
              'LoginScreen': (ctx) => LoginScreen(),
              CartScreen.routeName: (ctx) => CartScreen(),
              PaymentScreen.routeName: (ctx) => PaymentScreen(),
              OrdersScreen.routeName: (ctx) => OrdersScreen(),
              'EditProductScreen': (_) => EditProductScreen(),
              PartnerProductListScreen.routeName: (_) =>
                  PartnerProductListScreen(),
              PartnerOrdersScreen.routeName: (ctx) => PartnerOrdersScreen(),
              ListOfPartners.routeName: (ctx) => ListOfPartners(),
              PilotOrdersWaitingScreen.routeName: (ctx) =>
                  PilotOrdersWaitingScreen(),
              PilotTripsScreen.routeName: (ctx) => PilotTripsScreen(),
            },
          );
        },
      ),
    );
  }
}
