import 'package:apus_drones_mobile/models/OrderModel.dart';
import 'package:apus_drones_mobile/models/PilotModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'TripModel.g.dart';

@JsonSerializable()
class TripModel {
  final int id;
  final PilotModel pilot;
  final OrderModel order;
  final DateTime createdAt;
  final DateTime? collectedAt;
  final DateTime? deliveredAt;

  TripModel({
    required this.id,
    required this.pilot,
    required this.order,
    required this.createdAt,
    required this.collectedAt,
    required this.deliveredAt,
  });

  factory TripModel.fromJson(Map<String, dynamic> json) =>
      _$TripModelFromJson(json);
  Map<String, dynamic> toJson() => _$TripModelToJson(this);
}
