import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/screens/CustomerProfile.dart';
import 'package:apus_drones_mobile/providers/AuthProvider.dart';
import 'package:apus_drones_mobile/screens/LoginScreen.dart';
import 'package:apus_drones_mobile/screens/CreateUserScreen.dart';
import 'package:apus_drones_mobile/screens/PartnerOrdersScreen.dart';
import 'package:apus_drones_mobile/screens/PartnerProfile.dart';
import 'package:apus_drones_mobile/screens/clients/ListOfPartners.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class HomePage extends StatelessWidget {
  static final String routeName = 'Home';
  static final int botNavItemIndex = 0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            ElevatedButton(
              onPressed: () => Navigator.push(context,
                  MaterialPageRoute(builder: (context) => LoginScreen())),
              child: Text('Login'),
            ),
            ElevatedButton(
              onPressed: () {
                AuthProvider().logout();
                showDialog(
                  context: context,
                  builder: (BuildContext context) => AlertDialog(
                    content: Text('Token excluído'),
                  ),
                );
              },
              child: Text('Logout'),
            ),
            ElevatedButton(
                onPressed: () => Navigator.push(context,
                    MaterialPageRoute(builder: (context) => ListOfPartners())),
                child: Text('Cliente')),
            ElevatedButton(
              onPressed: () => Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => PartnerOrdersScreen())),
              child: Text('Parceiro'),
            ),
            ElevatedButton(
              onPressed: () => onCustomerButtonPressed(context),
              child: Text('Perfil Cliente (1)'),
            ),
            ElevatedButton(
              onPressed: () => onPartnerButtonPressed(context),
              child: Text('Perfil Parceiro'),
            ),
            ElevatedButton(
              onPressed: () => onLogoutButtonPressed(context),
              child: Text('Logout'),
            ),
            ElevatedButton(
              onPressed: () => Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => CreateUserScreen(
                            role: UserType.CUSTOMER,
                          ))),
              child: Text('Criar cliente'),
            ),
            ElevatedButton(
              onPressed: () => Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => CreateUserScreen(
                            role: UserType.PARTNER,
                          ))),
              child: Text('Criar parceiro'),
            ),
          ],
        ),
      ),
      //    bottomNavigationBar: BotNavBar(role: UserType.CUSTOMER),
    );
  }

  void onCustomerButtonPressed(context) {
    Navigator.push(
        context, MaterialPageRoute(builder: (context) => CustomerProfile()));
  }

  void onPartnerButtonPressed(context) {
    Navigator.push(
        context, MaterialPageRoute(builder: (context) => PartnerProfile()));
  }

  void onLoginButtonPressed(context) {
    final authProvider = Provider.of<AuthProvider>(context, listen: false);
    // authProvider.login();
  }

  void onLogoutButtonPressed(context) async {
    final authProvider = Provider.of<AuthProvider>(context, listen: false);
    await authProvider.logout();

    final loginRouteName = ListOfPartners
        .routeName; // TODO: substituir pelo nome correto da rota de login.
    Navigator.pushNamedAndRemoveUntil(
      context,
      loginRouteName,
      (route) => false,
    );
  }
}
