import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';

class MapView extends StatefulWidget {
  final double width;
  final double height;
  final List<Polyline> polylines;
  final LatLng? initialPosition;
  final List<Marker> markers;

  const MapView(
      {this.width = double.infinity,
      this.height = 250,
      this.polylines = const [],
      this.initialPosition = const LatLng(-30.0428306, -51.2273227),
      this.markers = const []});

  @override
  _MapViewState createState() => _MapViewState();
}

class _MapViewState extends State<MapView> {
  @override
  Widget build(BuildContext context) {
    final CameraPosition initialPosition = CameraPosition(
      target: this.widget.initialPosition!,
      zoom: 14.4746,
    );

    return Container(
      width: this.widget.width,
      height: this.widget.height,
      child: GoogleMap(
        initialCameraPosition: initialPosition,
        polylines: Set.from(this.widget.polylines),
        markers: Set.from(this.widget.markers),
        gestureRecognizers: <Factory<OneSequenceGestureRecognizer>>[
      new Factory<OneSequenceGestureRecognizer>(() => new EagerGestureRecognizer(),),
   ].toSet(),
      ),
    );
  }
}
